package de.ivu.elect;

public enum EmlValidation {

  NUR_ANZEIGEN {
    @Override
    public boolean isBestaetigen() {
      return false;
    }

    @Override
    public boolean isAbfragen() {
      return false;
    }
  },
  BESTAETIGEN {
    @Override
    public boolean isBestaetigen() {
      return true;
    }

    @Override
    public boolean isAbfragen() {
      return false;
    }
  },
  ABFRAGEN {
    @Override
    public boolean isBestaetigen() {
      return false;
    }

    @Override
    public boolean isAbfragen() {
      return true;
    }
  };

  public abstract boolean isBestaetigen();

  public abstract boolean isAbfragen();

}
